<!DOCTYPE html>
<html lang="en">
<head>
    <meta charset="UTF-8">
    <title>Add contact</title>
</head>
<body>
<form action="/addcontact" method="post" th:object="${wrapperOfContacts}">
    <input th:field="${wrapperOfContacts.contact}" placeholder="type name here">&nbsp;&nbsp;Name of contact<br><br>
    <table style="border-collapse: collapse; border: 0px solid gray;">
        <tr>
            <td>
                <div th:each="phone, itemStat : *{phoneList}">
                    <input th:field="*{phoneList[__${itemStat.index}__].phoneNumber}"
                           placeholder="type phone number">&nbsp;&nbsp;phone number&nbsp;&nbsp;<br><br>
                </div>
            </td>
            <td>
                <div th:each="email, itemStat : *{emailList}">
                    <input th:field="*{emailList[__${itemStat.index}__].emailAddress}"
                           placeholder="type email here">&nbsp;&nbsp;email&nbsp;&nbsp;<br><br>
                </div>
            </td>
        </tr>
    </table>
    <br>
    <input type="submit" value="create contact">
</form>
</body>
</html>